.hero {
  position: relative;
  height: 50vh;
  background-image: url(../assets/img/exhibition.jpg);
  background-size: cover;
  background-position: center;
  color: white;
  padding: 20px;
  text-align: left;
}

.hero h1 {
  position: absolute;
  bottom: 150px;
  left: 20px;
  font-size: 4rem;
  padding: 5px;
  background-color: rgba(0, 0, 0, 0.438);
  text-shadow: 3px 3px 6px rgba(0, 0, 0, 0.6);
}

.hero p {
  position: absolute;
  bottom: 100px;
  left: 20px;
  font-size: 1.5rem;
  padding: 5px;
  background-color: rgba(0, 0, 0, 0.438);
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.6);
}

.intro-section {
  background-image: url(../assets/img/Sky.jpg);
  margin-top: 20px;
  color: var(--text-light);
  padding: 20px;
}

.intro-section h2 {
  margin: 20px;
  font-size: 48px;
  font-weight: bolder;
}

.intro-text {
  display: flex;
  flex-direction: row;
}

.intro-text p {
  width: 60%;
  padding: 20px;
  font-size: 28px;
}

.intro-section .btn {
  margin: auto 20px 20px auto;
  color: var(--text-light);
  background-color: var(--primary-color);
  padding: 20px;
  font-size: 28px;
  text-decoration: none;
  border-radius: var(--radius-large);
}

.intro-section .btn:hover {
  color: var(--primary-color);
  background-color: var(--text-light);
}

.card-section {
  margin-top: 20px;
  padding: 20px;
}

.card-section h3 {
  color: #064099;
  font-size: 40px;
  text-align: end;
}

.card-section p {
  color: #064099;
  font-size: 20px;
  text-align: end;
}

.card-container {
  margin-top: 20px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
}

.card {
  position: relative;
  margin: 20px;
}

.card img {
  width: 100%;
  max-width: 400px;
  min-height: 400px;
  aspect-ratio: 3/2;
  border-radius: var(--radius-large);
  object-fit: cover;
}

.card h3 {
  position: absolute;
  top: 30px;
  left: 30px;
  color: var(--text-light);
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.678);
  text-align: left;
}

.card .card-btn {
  position: absolute;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--primary-color);
  color: white;
  padding: 10px;
  border-radius: 10px;
  transition: all 0.3s ease;
  text-decoration: none;
}

.card .card-btn:hover {
  background-color: var(--text-light);
  color: var(--primary-color);
}

/* Responsive for Home Page */
@media (max-width: 600px) {
  .hero h1 {
    bottom: 100px;
    font-size: 2rem;
  }

  .hero p {
    bottom: 50px;
    font-size: 1rem;
  }

  .intro-section h2 {
    font-size: 32px;
    text-align: center;
  }

  .intro-text {
    flex-direction: column;
    align-items: center;
  }

  .intro-text p {
    width: 90%;
    font-size: 16px;
  }

  .intro-section .btn {
    margin: auto;
  }

  .card-section h3,
  .card-section p {
    text-align: center;
  }
}
